Your Webcrossing server is not affected by the “Heartbleed” bug.

Posted by on Apr 14, 2014 | No Comments

We want to reassure all our customers that your Webcrossing server is unaffected by the recent “Heartbleed” bug you’ve heard so much about. If you are using SSL in your server, the version of OpenSSL we use is not a version affected by the recently publicized bug.

Our secure credit card processing site is likewise unaffected by the Heartbleed bug. In fact your credit card information is not kept at all; it is encrypted as it goes into our secure merchant system.

In general you should use different passwords at all your sites of course. That is just good, basic practice.

If you ever have questions about security for your Webcrossing server, please contact us.